Get boleto by ID
curl --request GET \
--url https://payments.sandbox.lerian.net/v1/boletos/{id} \
--header 'Authorization: <api-key>' \
--header 'X-Organization-Id: <x-organization-id>'import requests
url = "https://payments.sandbox.lerian.net/v1/boletos/{id}"
headers = {
"X-Organization-Id": "<x-organization-id>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Organization-Id': '<x-organization-id>', Authorization: '<api-key>'}
};
fetch('https://payments.sandbox.lerian.net/v1/boletos/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount": "<string>",
"barcode": "<string>",
"canceledAt": "<string>",
"cancellationReason": "<string>",
"createdAt": "<string>",
"digitableLine": "<string>",
"discount": {
"amount": "<string>",
"limitDate": "<string>",
"type": "<string>"
},
"dueDate": "<string>",
"errorMessage": "<string>",
"failedAt": "<string>",
"fine": {
"amount": "<string>",
"type": "<string>"
},
"guarantor": {
"address": {
"city": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"number": "<string>",
"state": "<string>",
"street": "<string>",
"zipCode": "<string>"
},
"document": "<string>",
"name": "<string>"
},
"id": "<string>",
"inactivatedAt": "<string>",
"installmentLabel": "<string>",
"instructions": "<string>",
"interest": {
"amount": "<string>",
"type": "<string>"
},
"kind": "<string>",
"payer": {
"address": {
"city": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"number": "<string>",
"state": "<string>",
"street": "<string>",
"zipCode": "<string>"
},
"document": "<string>",
"name": "<string>"
},
"providerId": "<string>",
"qrCode": "<string>",
"seriesId": "<string>",
"settledAmount": "<string>",
"settledAt": "<string>",
"status": "<string>",
"type": "<string>",
"updatedAt": "<string>"
}{
"code": "PBP-0001",
"details": {},
"message": "dueDate must be in YYYY-MM-DD format",
"title": "Bad Request"
}{
"code": "PBP-0001",
"details": {},
"message": "dueDate must be in YYYY-MM-DD format",
"title": "Bad Request"
}{
"code": "PBP-0001",
"details": {},
"message": "dueDate must be in YYYY-MM-DD format",
"title": "Bad Request"
}{
"code": "PBP-0001",
"details": {},
"message": "dueDate must be in YYYY-MM-DD format",
"title": "Bad Request"
}Get boleto by ID
Retrieves a single boleto by its ID with full detail.
GET
/
v1
/
boletos
/
{id}
Get boleto by ID
Authorizations
Bearer token authentication (format: "Bearer {token}")
Headers
Tenant organization ID
Path Parameters
Boleto ID (UUID)
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

